[arch-commits] Commit in cpufrequtils/trunk (PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Wed Dec 2 11:23:59 EST 2009


    Date: Wednesday, December 2, 2009 @ 11:23:59
  Author: giovanni
Revision: 60264

upgpkg: cpufrequtils 006-1
    upstream release

Modified:
  cpufrequtils/trunk/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-02 16:21:14 UTC (rev 60263)
+++ PKGBUILD	2009-12-02 16:23:59 UTC (rev 60264)
@@ -3,26 +3,29 @@
 # Contributor: phrakture <aaronmgriffin+gmail+com>
 
 pkgname=cpufrequtils
-pkgver=005
-pkgrel=2
+pkgver=006
+pkgrel=1
 pkgdesc="Userspace tools for the kernel cpufreq subsystem"
 arch=('i686' 'x86_64')
 url="http://www.kernel.org/pub/linux/utils/kernel/cpufreq/cpufrequtils.html"
 license=('GPL')
 depends=('sysfsutils')
 backup=('etc/conf.d/cpufreq')
-source=(http://www.kernel.org/pub/linux/utils/kernel/cpufreq/$pkgname-$pkgver.tar.bz2 \
-    cpufreq.rcd cpufreq.confd)
-options=(force !libtool)
-md5sums=('73a41589fe74b73fc530f4179f2c6142' '7be9ea55db712327783162ba6f7659ab'
+source=(http://www.kernel.org/pub/linux/utils/kernel/cpufreq/${pkgname}-${pkgver}.tar.bz2
+        cpufreq.rcd
+        cpufreq.confd)
+options=(!libtool)
+md5sums=('124b0de8f3a4d672539a85ce13eed869'
+         '7be9ea55db712327783162ba6f7659ab'
          '8335b8503376a3776da2ddc84043887c')
 
 build()
 {
-  cd $startdir/src/$pkgname-$pkgver
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
   make -j1 || return 1
-  make INSTALL="/bin/install -c" mandir=/usr/share/man DESTDIR=$startdir/pkg install
+  make INSTALL="/bin/install -c" mandir=/usr/share/man DESTDIR="${pkgdir}" install || return 1
 
-  install -D -m755 ../cpufreq.rcd $startdir/pkg/etc/rc.d/cpufreq
-  install -D -m644 ../cpufreq.confd $startdir/pkg/etc/conf.d/cpufreq
+  install -D -m755 ${srcdir}/cpufreq.rcd "${pkgdir}/etc/rc.d/cpufreq" || return 1
+  install -D -m644 ${srcdir}/cpufreq.confd "${pkgdir}/etc/conf.d/cpufreq" || return 1
 }



More information about the arch-commits mailing list